Tryton - Issues

 

Issue7614

Title Wrong context and URL when setting revision
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components sao, tryton
Assigned To ced Keywords review
Reviews 54301002
View: 54301002

Created on 2018-08-10.09:55:13 by ced, last changed by roundup-bot.

Messages
New changeset cd46c04af0bb by Cédric Krier in branch '4.8':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/cd46c04af0bb

New changeset 8e6d637bcc8b by Cédric Krier in branch '4.6':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/8e6d637bcc8b

New changeset e8fd1b2b4d7d by Cédric Krier in branch '4.4':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/e8fd1b2b4d7d

New changeset 87bbc41865fd by Cédric Krier in branch '4.2':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/87bbc41865fd

New changeset 6df6aaf4a074 by Cédric Krier in branch '4.0':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/6df6aaf4a074
New changeset 9a6389ac9c3c by Cédric Krier in branch '4.8':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/9a6389ac9c3c

New changeset 2e6e576a6ba2 by Cédric Krier in branch '4.6':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/2e6e576a6ba2

New changeset d45b4a796b06 by Cédric Krier in branch '4.4':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/d45b4a796b06

New changeset 2b57957ee3fd by Cédric Krier in branch '4.2':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/2b57957ee3fd

New changeset 833a53d33ce2 by Cédric Krier in branch '4.0':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/833a53d33ce2

New changeset 269a998ab4e6 by Cédric Krier in branch '4.8':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/269a998ab4e6

New changeset 812faeaba88c by Cédric Krier in branch '4.6':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/812faeaba88c

New changeset 2b2b95b775db by Cédric Krier in branch '4.4':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/2b2b95b775db

New changeset cfd192a4806e by Cédric Krier in branch '4.2':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/cfd192a4806e

New changeset 3d228f9e4beb by Cédric Krier in branch '4.0':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/3d228f9e4beb
New changeset 9296beee4742 by Cédric Krier in branch 'default':
Fix URL and context with revision
https://hg.tryton.org/tryton-env/rev/9296beee4742
New changeset 3e19eddca7d5 by Cédric Krier in branch 'default':
Compute Group readonly with the full context
https://hg.tryton.org/tryton/rev/3e19eddca7d5
New changeset f2ec995d69e1 by Cédric Krier in branch 'default':
Wrong usage of Group.context which should be called
https://hg.tryton.org/sao/rev/f2ec995d69e1

New changeset ade51bc6f18a by Cédric Krier in branch 'default':
Set parent_datetime_field on One2Many Group
https://hg.tryton.org/sao/rev/ade51bc6f18a

New changeset d23d26465367 by Cédric Krier in branch 'default':
Call switch callback when setting current record
https://hg.tryton.org/sao/rev/d23d26465367

New changeset 20a850d86963 by Cédric Krier in branch 'default':
Clear the group to set revision instead of creating a new one
https://hg.tryton.org/sao/rev/20a850d86963
review54301002 updated at https://codereview.tryton.org/54301002/#ps1
msg42855 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-08-10.09:55:12
The URLs are not always good when browsing the revisions.
On sao, the URL is not always refreshed when navigating with the toolbar.
The URL contain the RPC context which it should not.
The readonly test only the Group private context instead of the full context which fails to be applied on children groups.
History
Date User Action Args
2018-08-26 21:14:29roundup-botsetmessages: + msg43083
2018-08-26 21:14:09roundup-botsetmessages: + msg43080
2018-08-18 23:28:36roundup-botsetmessages: + msg42947
2018-08-18 23:28:35roundup-botsetmessages: + msg42946
2018-08-18 23:28:29roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg42945
2018-08-10 10:05:09reviewbotsetnosy: + reviewbot
messages: + msg42856
2018-08-10 10:02:13cedsetstatus: in-progress -> testing
reviews: 54301002
keyword: + review
2018-08-10 09:55:13cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)